--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/reservations/bulk ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/reservations/bulk": { "post": { "tags": [ "Reservation" ], "operationId": "createPublicReservationBulk", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateBulkReservationForCustomerDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/CreateBulkReservationForCustomerDto" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/CreateBulkReservationForCustomerDto" } } } }, "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/BulkReservationResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/BulkReservationResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/BulkReservationResponse" } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "BulkReservationResponse": { "type": "object", "properties": { "orderId": { "type": "string", "format": "uuid" }, "reservationIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "paymentLink": { "type": "string", "nullable": true } }, "additionalProperties": false }, "CreateBulkReservationForCustomerDto": { "required": [ "items" ], "type": "object", "properties": { "customerId": { "type": "string", "format": "uuid", "nullable": true }, "customerDetails": { "$ref": "#/components/schemas/ReservationCustomerDetailsDto" }, "branchId": { "type": "string", "format": "uuid" }, "items": { "maxItems": 5, "minItems": 1, "type": "array", "items": { "$ref": "#/components/schemas/CreateBulkReservationItemDto" } }, "discount": { "$ref": "#/components/schemas/Discount" }, "feeIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "respectPackageUsageLimits": { "type": "boolean" }, "source": { "$ref": "#/components/schemas/SalesChannel" } }, "additionalProperties": false }, "CreateBulkReservationItemDto": { "type": "object", "properties": { "quantity": { "maximum": 2147483647, "minimum": 1, "type": "integer", "format": "int32" }, "priceId": { "type": "string", "format": "uuid" }, "from": { "type": "string", "format": "date-time" }, "to": { "type": "string", "format": "date-time" }, "providerIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "customFields": { "type": "object", "additionalProperties": { "type": "string" } }, "discount": { "$ref": "#/components/schemas/Discount" }, "subscriptionItemId": { "type": "string", "format": "uuid", "nullable": true }, "loyaltyRewardId": { "type": "string", "format": "uuid", "nullable": true } }, "additionalProperties": false }, "CustomerType": { "enum": [ 1, 2 ], "type": "integer", "format": "int32", "x-enumNames": [ "Individuals", "Corporates" ] }, "Discount": { "type": "object", "properties": { "type": { "$ref": "#/components/schemas/DiscountType" }, "value": { "type": "number", "format": "double" } }, "additionalProperties": false }, "DiscountType": { "enum": [ 0, 1 ], "type": "integer", "format": "int32", "x-enumNames": [ "Fixed", "Percentage" ] }, "ReservationCustomerDetailsDto": { "required": [ "mobileNumber", "name" ], "type": "object", "properties": { "name": { "minLength": 1, "type": "string" }, "mobileNumber": { "minLength": 1, "type": "string" }, "email": { "type": "string", "format": "email", "nullable": true }, "type": { "$ref": "#/components/schemas/CustomerType" }, "companyName": { "type": "string", "nullable": true } }, "additionalProperties": false }, "SalesChannel": { "enum": [ 0, 1, 2, 3, 4, 5, 6 ], "type": "integer", "format": "int32", "x-enumNames": [ "Website", "MobileApp", "Internal", "AiBot", "ICalSync", "LastOffer", "BeautyPass" ] } } } } ```